html, body{
    height: 100svh;
    overflow: hidden;
}

body{
    background-color: var(--color-primary);
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

.grain {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 200;
    pointer-events: none;
    opacity: 0.07;
    background-image: url("../assets/images/grain.png");
    background-repeat: repeat;
}

main {
    height: 100svh;
    overflow: hidden;
}


.ecran-01 {
    min-height: 100svh;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    position: relative;
}

.ecran-01.carte-ouverte {
    pointer-events: none;
}

.ecran-01 .cta-primary {
    position: absolute;
    bottom: 40px;
    left: 50%;
    transform: translateX(-50%);
}

.sceau-wrapper {
    position: relative;
    width: min(600px, calc(600 / 1440 * 100vw));
    aspect-ratio: 1;
    margin-inline: auto;
    z-index: 6;
}

.sceau {
    position: absolute;
    inset: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 2;
    cursor: pointer;
}

.sceau img {
    width: min(706px, calc(706 / 1440 * 100vw));
    aspect-ratio: 353 / 142;
    height: auto;
}


.rays {
    position: relative;
    z-index: 1;
    width: 100%;
    aspect-ratio: 1;
  }

  svg {
    width: 100%;
    height: 100%;
    display: block;
    overflow: visible;
    transform: rotate(15deg);
    transform-origin: center;
  }

  .ray {
    stroke: #d2a24a;
    stroke-width: 0.5;
    stroke-linecap: round;
    vector-effect: non-scaling-stroke;
  }

  .ray-dot {
    fill: #d2a24a;
    transform-origin: center;
  }

.volet-droit,
.volet-gauche {
    position: absolute;
    top: 0;
    width: 50%;
    height: 100svh;
    z-index: 0;
}

.volet-droit {
    right: 0;
    background-color: var(--color-primary);
}

.volet-gauche {
    left: 0;
    background: linear-gradient(90deg, rgba(0, 0, 0, 0.00) 48.82%, rgba(0, 0, 0, 0.30) 100%), var(--color-primary);
}

.hero-content-wrapper {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100svh;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 5;
}

.hero-content {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    width: 800px;
}

.hero-content-mask {
    overflow: hidden;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
}

.hero-content p {
    font-family: "mrs-eaves-xl-serif", serif;
    font-weight: 300;
    font-style: normal;

    color: var(--color-secondary);

    font-size: 15px;
    line-height: 120%;
}

.none {
    display: none;
}

.ecran-02 {
    height: 100svh;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    position: relative;
    overflow: hidden;
    pointer-events: none;
}

.ecran-02.carte-ouverte {
    pointer-events: auto;
}

.alcove-content-wrapper {
    position: relative;
    display: flex;
    align-items: center;

    width: 360px;
    padding: 32px 34px;
    flex-direction: column;
    align-items: center;
    gap: 0px;

    border-radius: 9999px 9999px 0 0; 

    background-color: white;
}

.alcove-content-wrapper::before {
    content: '';
    position: absolute;
    top: -10px;
    left: -10px;
    right: -10px;
    bottom: -10px;
    border: 0.6px solid var(--color-secondary);
    border-radius: 9999px 9999px 0 0;
    pointer-events: none;
    z-index: -1;
}

.alcove-content-wrapper::after {
    content: '';
    position: absolute;
    top: -20px;
    left: -20px;
    right: -20px;
    bottom: -20px;
    border: 0.6px solid var(--color-secondary);
    border-radius: 9999px 9999px 0 0;
    pointer-events: none;
    z-index: -2;
}

.alcove-content-wrapper .alcove-logo {
    width: 175px;
    height: 175px;
    aspect-ratio: 1 / 1;
    height: auto;
}

.alcove-content {
    display: flex;
    flex-direction: column;
    gap: 16px;
}


.alcove-content p {
    text-align: center;
    font-family: "mrs-eaves-xl-serif", serif;
    font-size: 15px;
    font-style: normal;
    font-weight: 400;
    line-height: 110%;
    color: var(--color-primary);
}


.alcove-content p.text-bold,
.text-bold {
    font-family: "mrs-eaves-xl-serif", serif;
    font-weight: 700;
    font-style: normal;
}


.alcove-content {
    margin-top: 20px;
}

.mention {
    position: absolute;
    bottom: 40px;
    left: 50%;
    transform: translateX(-50%);
    z-index: 200;
    
    color: var(--color-secondary);
    text-align: center;
    font-family: Poppins;
    font-size: 12px;
    font-style: normal;
    font-weight: 400;
    line-height: 110%;

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

    gap: 4px;

    padding: 0 20px;
}

.mention-item-bold {
    font-weight: 700;
    text-transform: uppercase;
}

.ecran-02 .mention {
    position: relative;
    bottom: auto;
    left: auto;
    transform: none;
    margin-top: 40px;
}

.ecran-02-mobile {
    display: none;
}

